org.eclipse.actf.util.httpproxy

## Interface IHTTPProxy

    public interface IHTTPProxy

IHTTPProxy is the interface for the HTTP proxy.

### Method Summary

Methods
`int` `getListenPort()` Get listen port of the proxy
`String` `getSecret(String id, boolean remove)` Get secret String that is used for confirmation of correct server-client combination
`void` `startThread()` Start the proxy.
`void` `stopThread()` Stop the proxy.

### Method Detail

#### getListenPort

    int getListenPort()

Get listen port of the proxy

Returns:
  listen port

#### getSecret

    String getSecret(String id,
                   boolean remove)

Get secret String that is used for confirmation of correct server-client combination

Parameters:
  `id` - target key to obtain the secret
  `remove` - if true, the secret will be removed after invoking this method
Returns:
  secret, or null if the corresponding value is not available for the target key
See Also:
  `ISecretManager`

#### startThread

    void startThread()

Start the proxy.

#### stopThread

    void stopThread()

Stop the proxy.